angular.module('focaCrearHojaRuta')
    .controller('focaModalDatosHojaRutaCtrl',
        [
            '$filter',
            '$scope',
            '$uibModalInstance',
            'focaModalService',
            'parametrosDatos',
            function($filter, $scope, $uibModalInstance, focaModalService, parametrosDatos) {
                $scope.datosHojaRuta = parametrosDatos.datosHojaRuta;
                $scope.focused = 0;

                $scope.aceptar = function(key) {
                    if (key === 13) {
                        if (!$scope.formDatosHojaRuta.$valid) {
                            focaModalService.alert('Formulario inválido');
                            return;
                        }
                        $uibModalInstance.close($scope.datosHojaRuta);
                    }
                };

                $scope.next = function(key) {
                    if (key === 13) $scope.focused++;
                };

                $scope.cancel = function() {
                    $uibModalInstance.dismiss('cancel');
                };
            }
        ]
    );
